Rewrite content as a native post for one platform.
curl --request POST \
--url https://api.sigmora.org/v1/text/copywrite \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": "<string>",
"content": "<string>",
"projectId": "<string>",
"topic": "<string>",
"targetAudience": "<string>",
"tone": "<string>",
"includeHashtags": true,
"includeEmojis": true,
"maxLength": 10000
}
'import requests
url = "https://api.sigmora.org/v1/text/copywrite"
payload = {
"platform": "<string>",
"content": "<string>",
"projectId": "<string>",
"topic": "<string>",
"targetAudience": "<string>",
"tone": "<string>",
"includeHashtags": True,
"includeEmojis": True,
"maxLength": 10000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
platform: '<string>',
content: '<string>',
projectId: '<string>',
topic: '<string>',
targetAudience: '<string>',
tone: '<string>',
includeHashtags: true,
includeEmojis: true,
maxLength: 10000
})
};
fetch('https://api.sigmora.org/v1/text/copywrite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"projectId": "<string>"
}{
"success": false,
"error": "<string>",
"details": "<unknown>"
}{
"success": false,
"error": "<string>",
"details": "<unknown>"
}{
"success": false,
"error": "<string>",
"details": "<unknown>"
}{
"success": false,
"error": "<string>",
"details": "<unknown>"
}{
"success": false,
"error": "<string>",
"details": "<unknown>"
}{
"success": false,
"error": "<string>",
"details": "<unknown>"
}{
"success": false,
"error": "<string>",
"details": "<unknown>"
}{
"success": false,
"error": "<string>",
"details": "<unknown>"
}text
Rewrite content as a native post for one platform.
Rewrite content as a native post for one platform.
15 credits.
POST
/
v1
/
text
/
copywrite
Rewrite content as a native post for one platform.
Authorizations
A workspace API key (sk_live_...), minted from workspace settings.
Body
application/json
Target platform, e.g. linkedin, x, tiktok.
Required string length:
1 - 60Required string length:
1 - 50000The project to file this work under. Required — create one with POST /v1/projects. A project this workspace does not own answers not_found; the work is never silently filed somewhere else.
Maximum string length:
200Maximum string length:
300Maximum string length:
300Maximum string length:
60Required range:
1 <= x <= 20000Turn a script and its verified claims into a citation-bearing article (HTML, Markdown, excerpt, tags).Produce a research brief on a topic, in a named domain.
⌘I